<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('evento_descuento_especial', function (Blueprint $table) {
            $table->id();
            $table->integer('id_evento');
            $table->integer('tipo');
            $table->integer('valor');
            $table->text('concepto');
            $table->boolean('status')->nullable()->default(false);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('evento_descuento_especial');
    }
};
